Spendback refund

Allows the merchant to refund recipients who have previously made a spendback transaction.

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

Include at least the spendback ID and amount to refund in the request.

Request parameters

  • spendbackId
  • amount
  • payoutAccountId
  • recipientId
  • providerId
  • spendbackRef
  • recipientRef
  • providerSpendbackRef
  • currency
  • providerType
  • spendbackType
  • spendbackStatus
  • spendbackDate
  • createdAt
  • updatedAt

Response parameters

  • spendbackId
  • payoutAccountId
  • recipientId
  • providerId
  • spendbackRef
  • recipientRef
  • providerSpendbackRef
  • amount
  • currency
  • providerType
  • spendbackType
  • spendbackStatus
  • spendbackDate
  • createdAt
  • updatedAt
Body Params

The id parameter is a spendback ID and is required for the request. This spendback ID is generated from using the Submit spendback endpoint, and cannot be obtained in a different way. A spendback must be successfully submitted before issuing a spendback refund.

The amount parameter is also required.

integer
required

The ID value auto-generated by Nexio when the spendback request was submitted (see the Submit spendback endpoint).

number
required

The payout amount. The maximum value has 16 digits total, including up to two of those digits after the decimal point.

integer

The Nexio ID for the payout account. Useful for identifying the business or business segment associated with the recipient.

integer

The Nexio-generated ID for a recipient. This is the payer account used for the spendback refund.

integer

The Nexio ID for the provider. Indicates which payout provider to associate with this recipient profile. If no providerId is specified in the request, the system uses the first listed payout provider for the merchant account.

For information about the possible providers and provider IDs for your account, contact Integrations Support.

string
length ≤ 100

Reference value for the spendback request. This allows for easier synchronization and searching across different systems.

string
length ≤ 100

Payer's unique reference value for the recipient. This allows for easier synchronization and searching across different systems. This is the same recipientRef that is used in the Submit spendback endpoint and is a unique value used for spendbacks.

string
length ≤ 100

Reference value for the spendback from the payout provider. This allows for easier synchronization and searching across different systems.

string
length ≤ 3

The three-character ISO currency code for the payout to the specified recipient.

integer
enum

The Nexio ID for the payout provider used to process the spendback request.

Possible values include the following:

  • 10 - Interchecks
  • 20 - Hyperwallet
  • 30 - Payquicker
  • 40 - Nexio's mock payout provider for quicker sandbox integration
  • 50 - MassPay
  • 60 - Nomad
Allowed:
integer
enum

The type of spendback used.

10 is spendback and 20 is refund.

Allowed:
integer
enum

The status of the spendback, returned as an integer. For more information about possible values, see the spendbackStatus table.

Allowed:
date

The date the spendback request was sent to the provider, formatted as an ISO-8601 date expressed in UTC.

string

The date and time the spendback record was most recently updated in Nexio, formatted as an ISO-8601 date expressed in UTC.

string

The date and time the spendback request was sent to the provider, formatted as an ISO-8601 date expressed in UTC.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json